<?php
    if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
        require_once(dirname(__FILE__) . '/SSI.php');
    // Hmm... no SSI.php and no SMF?
    elseif (!defined('SMF'))
        die('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

    //
    // add repeating event columns to calendar table,
    // if they don't already exist
    //
    $result = db_query("SHOW COLUMNS FROM {$db_prefix}calendar LIKE 'repeating'", __FILE__, __LINE__);
    if (mysql_num_rows($result) == 0) {
	    $prefix = "ALTER TABLE {$db_prefix}calendar ";

	    db_query($prefix . "ADD `repeating` tinyint(1) default '0' NOT NULL", __FILE__, __LINE__);
	    db_query($prefix . "ADD `repeat1_parm1` smallint unsigned", __FILE__, __LINE__);
	    db_query($prefix . "ADD `repeat1_parm2` smallint unsigned", __FILE__, __LINE__);
	    db_query($prefix . "ADD `repeat2_parm1` smallint unsigned", __FILE__, __LINE__);
	    db_query($prefix . "ADD `repeat2_parm2` smallint unsigned", __FILE__, __LINE__);
	    db_query($prefix . "ADD `repeat2_parm3` smallint unsigned", __FILE__, __LINE__);
	    db_query($prefix . "ADD `repeat_end_type` smallint unsigned", __FILE__, __LINE__);
    }
    mysql_free_result($result);


    //
    // create the table that holds the moon phase data
    //
    $moonPhaseTblName = "moonphase";
    db_query("CREATE TABLE IF NOT EXISTS {$db_prefix}$moonPhaseTblName (" .
             "`evtDate` date default '0000-00-00',"         .
             "`hour`    smallint(5) unsigned default 1,"    .
             "`min`     smallint(5) unsigned default 1,"    .
             "`phase`   smallint(5) unsigned default 0,"    .
             "UNIQUE    keyMain (evtDate)"                  .
             ") TYPE=MyISAM", __FILE__, __LINE__
            );

    db_query(
    "INSERT IGNORE INTO {$db_prefix}$moonPhaseTblName " .
	    "(`evtDate`, `hour`, `min`, `phase`) " .
    "VALUES ('2000-01-06', 18, 14, 0), " .
        	"('2000-01-14', 13, 34, 1)," .
        	"('2000-01-21', 4, 40, 2)," .
        	"('2000-01-28', 7, 57, 3)," .
        	"('2000-02-05', 13, 3, 0)," .
        	"('2000-02-12', 23, 21, 1)," .
        	"('2000-02-19', 16, 27, 2)," .
        	"('2000-02-27', 3, 54, 3)," .
        	"('2000-03-06', 5, 17, 0)," .
        	"('2000-03-13', 6, 59, 1)," .
        	"('2000-03-20', 4, 44, 2)," .
        	"('2000-03-28', 0, 21, 3)," .
        	"('2000-04-04', 18, 12, 0)," .
        	"('2000-04-11', 13, 30, 1)," .
        	"('2000-04-18', 17, 42, 2)," .
        	"('2000-04-26', 19, 30, 3)," .
        	"('2000-05-04', 4, 12, 0)," .
        	"('2000-05-10', 20, 1, 1)," .
        	"('2000-05-18', 7, 34, 2)," .
        	"('2000-05-26', 11, 55, 3)," .
        	"('2000-06-02', 12, 14, 0)," .
        	"('2000-06-09', 3, 29, 1)," .
        	"('2000-06-16', 22, 27, 2)," .
        	"('2000-06-25', 1, 0, 3)," .
        	"('2000-07-31', 2, 25, 0)," .
        	"('2000-07-08', 12, 53, 1)," .
        	"('2000-07-16', 13, 55, 2)," .
        	"('2000-07-24', 11, 2, 3)," .
        	"('2000-08-29', 10, 19, 0)," .
        	"('2000-08-07', 1, 2, 1)," .
        	"('2000-08-15', 5, 13, 2)," .
        	"('2000-08-22', 18, 51, 3)," .
        	"('2000-09-27', 19, 53, 0)," .
        	"('2000-09-05', 16, 27, 1)," .
        	"('2000-09-13', 19, 37, 2)," .
        	"('2000-09-21', 1, 28, 3)," .
        	"('2000-10-27', 7, 58, 0)," .
        	"('2000-10-05', 10, 59, 1)," .
        	"('2000-10-13', 8, 53, 2)," .
        	"('2000-10-20', 7, 59, 3)," .
        	"('2000-11-25', 23, 11, 0)," .
        	"('2000-11-04', 7, 27, 1)," .
        	"('2000-11-11', 21, 15, 2)," .
        	"('2000-11-18', 15, 24, 3)," .
        	"('2000-12-25', 17, 22, 0)," .
        	"('2000-12-04', 3, 55, 1)," .
        	"('2000-12-11', 9, 3, 2)," .
        	"('2000-12-18', 0, 41, 3)," .
        	"('2001-01-24', 13, 7, 0)," .
        	"('2001-01-02', 22, 32, 1)," .
        	"('2001-01-09', 20, 24, 2)," .
        	"('2001-01-16', 12, 35, 3)," .
        	"('2001-02-23', 8, 21, 0)," .
        	"('2001-02-01', 14, 3, 1)," .
        	"('2001-02-08', 7, 12, 2)," .
        	"('2001-02-15', 3, 24, 3)," .
        	"('2001-03-25', 1, 21, 0)," .
        	"('2001-03-03', 2, 3, 1)," .
        	"('2001-03-09', 17, 23, 2)," .
        	"('2001-03-16', 20, 45, 3)," .
        	"('2001-04-23', 15, 26, 0)," .
        	"('2001-04-30', 17, 8, 1)," .
        	"('2001-04-08', 3, 22, 2)," .
        	"('2001-04-15', 15, 31, 3)," .
        	"('2001-05-23', 2, 46, 0)," .
        	"('2001-05-29', 22, 9, 1)," .
        	"('2001-05-07', 13, 53, 2)," .
        	"('2001-05-15', 10, 11, 3)," .
        	"('2001-06-21', 11, 58, 0)," .
        	"('2001-06-28', 3, 20, 1)," .
        	"('2001-06-06', 1, 39, 2)," .
        	"('2001-06-14', 3, 28, 3)," .
        	"('2001-07-20', 19, 44, 0)," .
        	"('2001-07-27', 10, 8, 1)," .
        	"('2001-07-05', 15, 4, 2)," .
        	"('2001-07-13', 18, 45, 3)," .
        	"('2001-08-19', 2, 55, 0)," .
        	"('2001-08-25', 19, 55, 1)," .
        	"('2001-08-04', 5, 56, 2)," .
        	"('2001-08-12', 7, 53, 3)," .
        	"('2001-09-17', 10, 27, 0)," .
        	"('2001-09-24', 9, 31, 1)," .
        	"('2001-09-02', 21, 43, 2)," .
        	"('2001-09-10', 19, 0, 3)," .
        	"('2001-10-16', 19, 23, 0)," .
        	"('2001-10-24', 2, 58, 1)," .
        	"('2001-10-02', 13, 49, 2)," .
        	"('2001-10-10', 4, 20, 3)," .
        	"('2001-11-15', 6, 40, 0)," .
        	"('2001-11-22', 23, 21, 1)," .
        	"('2001-11-30', 20, 49, 2)," .
        	"('2001-11-08', 12, 21, 3)," .
        	"('2001-12-14', 20, 47, 0)," .
        	"('2001-12-22', 20, 56, 1)," .
        	"('2001-12-30', 10, 41, 2)," .
        	"('2001-12-07', 19, 52, 3)," .
        	"('2002-01-13', 13, 29, 0)," .
        	"('2002-01-21', 17, 47, 1)," .
        	"('2002-01-28', 22, 50, 2)," .
        	"('2002-01-06', 3, 55, 3)," .
        	"('2002-02-12', 7, 41, 0)," .
        	"('2002-02-20', 12, 2, 1)," .
        	"('2002-02-27', 9, 17, 2)," .
        	"('2002-02-04', 13, 33, 3)," .
        	"('2002-03-14', 2, 3, 0)," .
        	"('2002-03-22', 2, 29, 1)," .
        	"('2002-03-28', 18, 25, 2)," .
        	"('2002-03-06', 1, 25, 3)," .
        	"('2002-04-12', 19, 21, 0)," .
        	"('2002-04-20', 12, 48, 1)," .
        	"('2002-04-27', 3, 0, 2)," .
        	"('2002-04-04', 15, 29, 3)," .
        	"('2002-05-12', 10, 45, 0)," .
        	"('2002-05-19', 19, 42, 1)," .
        	"('2002-05-26', 11, 51, 2)," .
        	"('2002-05-04', 7, 16, 3)," .
        	"('2002-06-10', 23, 47, 0)," .
        	"('2002-06-18', 0, 29, 1)," .
        	"('2002-06-24', 21, 42, 2)," .
        	"('2002-06-03', 0, 5, 3)," .
        	"('2002-07-10', 10, 26, 0)," .
        	"('2002-07-17', 4, 47, 1)," .
        	"('2002-07-24', 9, 7, 2)," .
        	"('2002-07-02', 17, 19, 3)," .
        	"('2002-08-08', 19, 15, 0)," .
        	"('2002-08-15', 10, 12, 1)," .
        	"('2002-08-22', 22, 29, 2)," .
        	"('2002-08-31', 2, 31, 3)," .
        	"('2002-09-07', 3, 10, 0)," .
        	"('2002-09-13', 18, 8, 1)," .
        	"('2002-09-21', 13, 59, 2)," .
        	"('2002-09-29', 17, 3, 3)," .
        	"('2002-10-06', 11, 18, 0)," .
        	"('2002-10-13', 5, 33, 1)," .
        	"('2002-10-21', 7, 20, 2)," .
        	"('2002-10-29', 5, 28, 3)," .
        	"('2002-11-04', 20, 34, 0)," .
        	"('2002-11-11', 20, 52, 1)," .
        	"('2002-11-20', 1, 34, 2)," .
        	"('2002-11-27', 15, 46, 3)," .
        	"('2002-12-04', 7, 34, 0)," .
        	"('2002-12-11', 15, 49, 1)," .
        	"('2002-12-19', 19, 10, 2)," .
        	"('2002-12-27', 0, 31, 3)," .
        	"('2003-01-02', 20, 23, 0)," .
        	"('2003-01-10', 13, 15, 1)," .
        	"('2003-01-18', 10, 48, 2)," .
        	"('2003-01-25', 8, 33, 3)," .
        	"('2003-02-01', 10, 48, 0)," .
        	"('2003-02-09', 11, 11, 1)," .
        	"('2003-02-16', 23, 51, 2)," .
        	"('2003-02-23', 16, 46, 3)," .
        	"('2003-03-03', 2, 35, 0)," .
        	"('2003-03-11', 7, 15, 1)," .
        	"('2003-03-18', 10, 35, 2)," .
        	"('2003-03-25', 1, 51, 3)," .
        	"('2003-04-01', 19, 19, 0)," .
        	"('2003-04-09', 23, 40, 1)," .
        	"('2003-04-16', 19, 36, 2)," .
        	"('2003-04-23', 12, 18, 3)," .
        	"('2003-05-31', 4, 20, 0)," .
        	"('2003-05-09', 11, 53, 1)," .
        	"('2003-05-16', 3, 36, 2)," .
        	"('2003-05-23', 0, 31, 3)," .
        	"('2003-06-29', 18, 39, 0)," .
        	"('2003-06-07', 20, 28, 1)," .
        	"('2003-06-14', 11, 16, 2)," .
        	"('2003-06-21', 14, 45, 3)," .
        	"('2003-07-29', 6, 53, 0)," .
        	"('2003-07-07', 2, 32, 1)," .
        	"('2003-07-13', 19, 21, 2)," .
        	"('2003-07-21', 7, 1, 3)," .
        	"('2003-08-27', 17, 26, 0)," .
        	"('2003-08-05', 7, 28, 1)," .
        	"('2003-08-12', 4, 48, 2)," .
        	"('2003-08-20', 0, 48, 3)," .
        	"('2003-09-26', 3, 9, 0)," .
        	"('2003-09-03', 12, 34, 1)," .
        	"('2003-09-10', 16, 36, 2)," .
        	"('2003-09-18', 19, 3, 3)," .
        	"('2003-10-25', 12, 50, 0)," .
        	"('2003-10-02', 19, 9, 1)," .
        	"('2003-10-10', 7, 27, 2)," .
        	"('2003-10-18', 12, 31, 3)," .
        	"('2003-11-23', 22, 59, 0)," .
        	"('2003-11-30', 17, 16, 1)," .
        	"('2003-11-09', 1, 13, 2)," .
        	"('2003-11-17', 4, 15, 3)," .
        	"('2003-12-23', 9, 43, 0)," .
        	"('2003-12-30', 10, 3, 1)," .
        	"('2003-12-08', 20, 37, 2)," .
        	"('2003-12-16', 17, 42, 3)," .
        	"('2004-01-21', 21, 5, 0)," .
        	"('2004-01-29', 6, 3, 1)," .
        	"('2004-01-07', 15, 40, 2)," .
        	"('2004-01-15', 4, 46, 3)," .
        	"('2004-02-20', 9, 18, 0)," .
        	"('2004-02-28', 3, 24, 1)," .
        	"('2004-02-06', 8, 47, 2)," .
        	"('2004-02-13', 13, 40, 3)," .
        	"('2004-03-20', 22, 41, 0)," .
        	"('2004-03-28', 23, 48, 1)," .
        	"('2004-03-06', 23, 14, 2)," .
        	"('2004-03-13', 21, 1, 3)," .
        	"('2004-04-19', 13, 21, 0)," .
        	"('2004-04-27', 17, 32, 1)," .
        	"('2004-04-05', 11, 3, 2)," .
        	"('2004-04-12', 3, 46, 3)," .
        	"('2004-05-19', 4, 52, 0)," .
        	"('2004-05-27', 7, 57, 1)," .
        	"('2004-05-04', 20, 33, 2)," .
        	"('2004-05-11', 11, 4, 3)," .
        	"('2004-06-17', 20, 27, 0)," .
        	"('2004-06-25', 19, 8, 1)," .
        	"('2004-06-03', 4, 20, 2)," .
        	"('2004-06-09', 20, 2, 3)," .
        	"('2004-07-17', 11, 24, 0)," .
        	"('2004-07-25', 3, 37, 1)," .
        	"('2004-07-31', 18, 5, 2)," .
        	"('2004-07-09', 7, 34, 3)," .
        	"('2004-08-16', 1, 24, 0)," .
        	"('2004-08-23', 10, 12, 1)," .
        	"('2004-08-30', 2, 22, 2)," .
        	"('2004-08-07', 22, 1, 3)," .
        	"('2004-09-14', 14, 29, 0)," .
        	"('2004-09-21', 15, 54, 1)," .
        	"('2004-09-28', 13, 9, 2)," .
        	"('2004-09-06', 15, 11, 3)," .
        	"('2004-10-14', 2, 48, 0)," .
        	"('2004-10-20', 21, 59, 1)," .
        	"('2004-10-28', 3, 7, 2)," .
        	"('2004-10-06', 10, 12, 3)," .
        	"('2004-11-12', 14, 27, 0)," .
        	"('2004-11-19', 5, 50, 1)," .
        	"('2004-11-26', 20, 7, 2)," .
        	"('2004-11-05', 5, 53, 3)," .
        	"('2004-12-12', 1, 29, 0)," .
        	"('2004-12-18', 16, 40, 1)," .
        	"('2004-12-26', 15, 6, 2)," .
        	"('2004-12-05', 0, 53, 3)," .
        	"('2005-01-10', 12, 3, 0)," .
        	"('2005-01-17', 6, 57, 1)," .
        	"('2005-01-25', 10, 32, 2)," .
        	"('2005-01-03', 17, 46, 3)," .
        	"('2005-02-08', 22, 28, 0)," .
        	"('2005-02-16', 0, 16, 1)," .
        	"('2005-02-24', 4, 54, 2)," .
        	"('2005-02-02', 7, 27, 3)," .
        	"('2005-03-10', 9, 10, 0)," .
        	"('2005-03-17', 19, 19, 1)", __FILE__, __LINE__
            );

    db_query(
    "INSERT IGNORE INTO {$db_prefix}$moonPhaseTblName " .
	    "(`evtDate`, `hour`, `min`, `phase`) " .
    "VALUES ('2005-03-25', 20, 58, 2), " .
	        "('2005-03-03', 17, 36, 3)," .
	        "('2005-04-08', 20, 32, 0)," .
	        "('2005-04-16', 14, 37, 1)," .
	        "('2005-04-24', 10, 6, 2)," .
	        "('2005-04-02', 0, 50, 3)," .
	        "('2005-05-08', 8, 45, 0)," .
	        "('2005-05-16', 8, 57, 1)," .
	        "('2005-05-23', 20, 18, 2)," .
	        "('2005-05-30', 11, 47, 3)," .
	        "('2005-06-06', 21, 55, 0)," .
	        "('2005-06-15', 1, 22, 1)," .
	        "('2005-06-22', 4, 14, 2)," .
	        "('2005-06-28', 18, 23, 3)," .
	        "('2005-07-06', 12, 2, 0)," .
	        "('2005-07-14', 15, 20, 1)," .
	        "('2005-07-21', 11, 0, 2)," .
	        "('2005-07-28', 3, 20, 3)," .
	        "('2005-08-05', 3, 5, 0)," .
	        "('2005-08-13', 2, 39, 1)," .
	        "('2005-08-19', 17, 53, 2)," .
	        "('2005-08-26', 15, 18, 3)," .
	        "('2005-09-03', 18, 45, 0)," .
	        "('2005-09-11', 11, 37, 1)," .
	        "('2005-09-18', 2, 1, 2)," .
	        "('2005-09-25', 6, 41, 3)," .
	        "('2005-10-03', 10, 28, 0)," .
	        "('2005-10-10', 19, 1, 1)," .
	        "('2005-10-17', 12, 14, 2)," .
	        "('2005-10-25', 1, 17, 3)," .
	        "('2005-11-02', 1, 25, 0)," .
	        "('2005-11-09', 1, 57, 1)," .
	        "('2005-11-16', 0, 58, 2)," .
	        "('2005-11-23', 22, 11, 3)," .
	        "('2005-12-31', 3, 12, 0)," .
	        "('2005-12-08', 9, 36, 1)," .
	        "('2005-12-15', 16, 16, 2)," .
	        "('2005-12-23', 19, 36, 3)," .
	        "('2006-01-29', 14, 15, 0)," .
	        "('2006-01-06', 18, 56, 1)," .
	        "('2006-01-14', 9, 48, 2)," .
	        "('2006-01-22', 15, 14, 3)," .
	        "('2006-02-28', 0, 31, 0)," .
	        "('2006-02-05', 6, 29, 1)," .
	        "('2006-02-13', 4, 44, 2)," .
	        "('2006-02-21', 7, 17, 3)," .
	        "('2006-03-29', 10, 15, 0)," .
	        "('2006-03-06', 20, 16, 1)," .
	        "('2006-03-14', 23, 35, 2)," .
	        "('2006-03-22', 19, 10, 3)," .
	        "('2006-04-27', 19, 44, 0)," .
	        "('2006-04-05', 12, 1, 1)," .
	        "('2006-04-13', 16, 40, 2)," .
	        "('2006-04-21', 3, 28, 3)," .
	        "('2006-05-27', 5, 26, 0)," .
	        "('2006-05-05', 5, 13, 1)," .
	        "('2006-05-13', 6, 51, 2)," .
	        "('2006-05-20', 9, 21, 3)," .
	        "('2006-06-25', 16, 5, 0)," .
	        "('2006-06-03', 23, 6, 1)," .
	        "('2006-06-11', 18, 3, 2)," .
	        "('2006-06-18', 14, 8, 3)," .
	        "('2006-07-25', 4, 31, 0)," .
	        "('2006-07-03', 16, 37, 1)," .
	        "('2006-07-11', 3, 2, 2)," .
	        "('2006-07-17', 19, 13, 3)," .
	        "('2006-08-23', 19, 10, 0)," .
	        "('2006-08-31', 22, 56, 1)," .
	        "('2006-08-09', 10, 54, 2)," .
	        "('2006-08-16', 1, 51, 3)," .
	        "('2006-09-22', 11, 45, 0)," .
	        "('2006-09-30', 11, 4, 1)," .
	        "('2006-09-07', 18, 42, 2)," .
	        "('2006-09-14', 11, 15, 3)," .
	        "('2006-10-22', 5, 14, 0)," .
	        "('2006-10-29', 21, 25, 1)," .
	        "('2006-10-07', 3, 13, 2)," .
	        "('2006-10-14', 0, 26, 3)," .
	        "('2006-11-20', 22, 18, 0)," .
	        "('2006-11-28', 6, 29, 1)," .
	        "('2006-11-05', 12, 58, 2)," .
	        "('2006-11-12', 17, 45, 3)," .
	        "('2006-12-20', 14, 1, 0)," .
	        "('2006-12-27', 14, 48, 1)," .
	        "('2006-12-05', 0, 25, 2)," .
	        "('2006-12-12', 14, 32, 3)," .
	        "('2007-01-19', 4, 1, 0)," .
	        "('2007-01-25', 23, 1, 1)," .
	        "('2007-01-03', 13, 57, 2)," .
	        "('2007-01-11', 12, 45, 3)," .
	        "('2007-02-17', 16, 14, 0)," .
	        "('2007-02-24', 7, 56, 1)," .
	        "('2007-02-02', 5, 45, 2)," .
	        "('2007-02-10', 9, 51, 3)," .
	        "('2007-03-19', 2, 43, 0)," .
	        "('2007-03-25', 18, 16, 1)," .
	        "('2007-03-03', 23, 17, 2)," .
	        "('2007-03-12', 3, 54, 3)," .
	        "('2007-04-17', 11, 36, 0)," .
	        "('2007-04-24', 6, 35, 1)," .
	        "('2007-04-02', 17, 15, 2)," .
	        "('2007-04-10', 18, 4, 3)," .
	        "('2007-05-16', 19, 27, 0)," .
	        "('2007-05-23', 21, 2, 1)," .
	        "('2007-05-02', 10, 9, 2)," .
	        "('2007-05-10', 4, 27, 3)," .
	        "('2007-06-15', 3, 13, 0)," .
	        "('2007-06-22', 13, 15, 1)," .
	        "('2007-06-30', 13, 49, 2)," .
	        "('2007-06-08', 11, 43, 3)," .
	        "('2007-07-14', 12, 4, 0)," .
	        "('2007-07-22', 6, 29, 1)," .
	        "('2007-07-30', 0, 48, 2)," .
	        "('2007-07-07', 16, 54, 3)," .
	        "('2007-08-12', 23, 2, 0)," .
	        "('2007-08-20', 23, 54, 1)," .
	        "('2007-08-28', 10, 35, 2)," .
	        "('2007-08-05', 21, 20, 3)," .
	        "('2007-09-11', 12, 44, 0)," .
	        "('2007-09-19', 16, 48, 1)," .
	        "('2007-09-26', 19, 45, 2)," .
	        "('2007-09-04', 2, 32, 3)," .
	        "('2007-10-11', 5, 1, 0)," .
	        "('2007-10-19', 8, 33, 1)," .
	        "('2007-10-26', 4, 52, 2)," .
	        "('2007-10-03', 10, 6, 3)," .
	        "('2007-11-09', 23, 3, 0)," .
	        "('2007-11-17', 22, 33, 1)," .
	        "('2007-11-24', 14, 30, 2)," .
	        "('2007-11-01', 21, 18, 3)," .
	        "('2007-12-09', 17, 40, 0)," .
	        "('2007-12-17', 10, 17, 1)," .
	        "('2007-12-24', 1, 16, 2)," .
	        "('2007-12-31', 7, 51, 3)," .
	        "('2008-01-08', 11, 37, 0)," .
	        "('2008-01-15', 19, 46, 1)," .
	        "('2008-01-22', 13, 35, 2)," .
	        "('2008-01-30', 5, 3, 3)," .
	        "('2008-02-07', 3, 44, 0)," .
	        "('2008-02-14', 3, 33, 1)," .
	        "('2008-02-21', 3, 30, 2)," .
	        "('2008-02-29', 2, 18, 3)," .
	        "('2008-03-07', 17, 14, 0)," .
	        "('2008-03-14', 10, 46, 1)," .
	        "('2008-03-21', 18, 40, 2)," .
	        "('2008-03-29', 21, 47, 3)," .
	        "('2008-04-06', 3, 55, 0)," .
	        "('2008-04-12', 18, 32, 1)," .
	        "('2008-04-20', 10, 25, 2)," .
	        "('2008-04-28', 14, 12, 3)," .
	        "('2008-05-05', 12, 18, 0)," .
	        "('2008-05-12', 3, 47, 1)," .
	        "('2008-05-20', 2, 11, 2)," .
	        "('2008-05-28', 2, 57, 3)," .
	        "('2008-06-03', 19, 23, 0)," .
	        "('2008-06-10', 15, 4, 1)," .
	        "('2008-06-18', 17, 30, 2)," .
	        "('2008-06-26', 12, 10, 3)," .
	        "('2008-07-03', 2, 19, 0)," .
	        "('2008-07-10', 4, 35, 1)," .
	        "('2008-07-18', 7, 59, 2)," .
	        "('2008-07-25', 18, 42, 3)," .
	        "('2008-08-30', 19, 58, 0)," .
	        "('2008-08-08', 20, 20, 1)," .
	        "('2008-08-16', 21, 16, 2)," .
	        "('2008-08-23', 23, 50, 3)," .
	        "('2008-09-29', 8, 12, 0)," .
	        "('2008-09-07', 14, 4, 1)," .
	        "('2008-09-15', 9, 13, 2)," .
	        "('2008-09-22', 5, 4, 3)," .
	        "('2008-10-28', 23, 14, 0)," .
	        "('2008-10-07', 9, 4, 1)," .
	        "('2008-10-14', 20, 2, 2)," .
	        "('2008-10-21', 11, 55, 3)," .
	        "('2008-11-27', 16, 55, 0)," .
	        "('2008-11-06', 4, 3, 1)," .
	        "('2008-11-13', 6, 17, 2)," .
	        "('2008-11-19', 21, 31, 3)," .
	        "('2008-12-27', 12, 22, 0)," .
	        "('2008-12-05', 21, 26, 1)," .
	        "('2008-12-12', 16, 37, 2)," .
	        "('2008-12-19', 10, 29, 3)," .
	        "('2009-01-26', 7, 55, 0)," .
	        "('2009-01-04', 11, 56, 1)," .
	        "('2009-01-11', 3, 27, 2)," .
	        "('2009-01-18', 2, 46, 3)," .
	        "('2009-02-25', 1, 35, 0)," .
	        "('2009-02-02', 23, 13, 1)," .
	        "('2009-02-09', 14, 49, 2)," .
	        "('2009-02-16', 21, 37, 3)," .
	        "('2009-03-26', 16, 6, 0)," .
	        "('2009-03-04', 7, 46, 1)," .
	        "('2009-03-11', 2, 38, 2)," .
	        "('2009-03-18', 17, 47, 3)," .
	        "('2009-04-25', 3, 23, 0)," .
	        "('2009-04-02', 14, 34, 1)," .
	        "('2009-04-09', 14, 56, 2)," .
	        "('2009-04-17', 13, 36, 3)," .
	        "('2009-05-24', 12, 11, 0)," .
	        "('2009-05-31', 3, 22, 1)," .
	        "('2009-05-09', 4, 1, 2)," .
	        "('2009-05-17', 7, 26, 3)," .
	        "('2009-06-22', 19, 35, 0)," .
	        "('2009-06-29', 11, 28, 1)," .
	        "('2009-06-07', 18, 12, 2)," .
	        "('2009-06-15', 22, 15, 3)," .
	        "('2009-07-22', 2, 35, 0)," .
	        "('2009-07-28', 22, 0, 1)," .
	        "('2009-07-07', 9, 21, 2)," .
	        "('2009-07-15', 9, 53, 3)," .
	        "('2009-08-20', 10, 2, 0)," .
	        "('2009-08-27', 11, 42, 1)," .
	        "('2009-08-06', 0, 55, 2)," .
	        "('2009-08-13', 18, 55, 3)," .
	        "('2009-09-18', 18, 44, 0)," .
	        "('2009-09-26', 4, 50, 1)," .
	        "('2009-09-04', 16, 3, 2)," .
	        "('2009-09-12', 2, 16, 3)," .
	        "('2009-10-18', 5, 33, 0)," .
	        "('2009-10-26', 0, 42, 1)," .
	        "('2009-10-04', 6, 10, 2)," .
	        "('2009-10-11', 8, 56, 3)," .
	        "('2009-11-16', 19, 14, 0)," .
	        "('2009-11-24', 21, 39, 1)," .
	        "('2009-11-02', 19, 14, 2)," .
	        "('2009-11-09', 15, 56, 3)," .
	        "('2009-12-16', 12, 2, 0)," .
	        "('2009-12-24', 17, 36, 1)," .
	        "('2009-12-31', 19, 13, 2)," .
	        "('2009-12-09', 0, 13, 3)," .
	        "('2010-01-15', 7, 11, 0)," .
	        "('2010-01-23', 10, 53, 1)," .
	        "('2010-01-30', 6, 18, 2)," .
	        "('2010-01-07', 10, 39, 3)," .
	        "('2010-02-14', 2, 51, 0)," .
	        "('2010-02-22', 0, 42, 1)," .
	        "('2010-02-28', 16, 38, 2)," .
	        "('2010-02-05', 23, 48, 3)," .
	        "('2010-03-15', 21, 1, 0)," .
	        "('2010-03-23', 11, 0, 1)," .
	        "('2010-03-30', 2, 25, 2)," .
	        "('2010-03-07', 15, 42, 3)," .
	        "('2010-04-14', 12, 29, 0)," .
	        "('2010-04-21', 18, 20, 1)," .
	        "('2010-04-28', 12, 18, 2)," .
	        "('2010-04-06', 9, 37, 3)," .
	        "('2010-05-14', 1, 4, 0)," .
	        "('2010-05-20', 23, 43, 1)," .
	        "('2010-05-27', 23, 7, 2)," .
	        "('2010-05-06', 4, 15, 3)", __FILE__, __LINE__
            );

    db_query(
    "INSERT IGNORE INTO {$db_prefix}$moonPhaseTblName " .
	    "(`evtDate`, `hour`, `min`, `phase`) " .
    "VALUES ('2010-06-12', 11, 15, 0)," .
	        "('2010-06-19', 4, 29, 1)," .
	        "('2010-06-26', 11, 30, 2)," .
	        "('2010-06-04', 22, 13, 3)," .
	        "('2010-07-11', 19, 40, 0)," .
	        "('2010-07-18', 10, 10, 1)," .
	        "('2010-07-26', 1, 36, 2)," .
	        "('2010-07-04', 14, 35, 3)," .
	        "('2010-08-10', 3, 8, 0)," .
	        "('2010-08-16', 18, 14, 1)," .
	        "('2010-08-24', 17, 5, 2)," .
	        "('2010-08-03', 4, 59, 3)," .
	        "('2010-09-08', 10, 30, 0)," .
	        "('2010-09-15', 5, 50, 1)," .
	        "('2010-09-23', 9, 17, 2)," .
	        "('2010-09-01', 17, 22, 3)," .
	        "('2010-10-07', 18, 44, 0)," .
	        "('2010-10-14', 21, 27, 1)," .
	        "('2010-10-23', 1, 36, 2)," .
	        "('2010-10-30', 12, 46, 3)," .
	        "('2010-11-06', 4, 52, 0)," .
	        "('2010-11-13', 16, 39, 1)," .
	        "('2010-11-21', 17, 27, 2)," .
	        "('2010-11-28', 20, 36, 3)," .
	        "('2010-12-05', 17, 36, 0)," .
	        "('2010-12-13', 13, 59, 1)," .
	        "('2010-12-21', 8, 13, 2)," .
	        "('2010-12-28', 4, 18, 3)," .
	        "('2011-01-04', 9, 3, 0)," .
	        "('2011-01-12', 11, 31, 1)," .
	        "('2011-01-19', 21, 21, 2)," .
	        "('2011-01-26', 12, 57, 3)," .
	        "('2011-02-03', 2, 31, 0)," .
	        "('2011-02-11', 7, 18, 1)," .
	        "('2011-02-18', 8, 36, 2)," .
	        "('2011-02-24', 23, 26, 3)," .
	        "('2011-03-04', 20, 46, 0)," .
	        "('2011-03-12', 23, 45, 1)," .
	        "('2011-03-19', 18, 10, 2)," .
	        "('2011-03-26', 12, 7, 3)," .
	        "('2011-04-03', 14, 32, 0)," .
	        "('2011-04-11', 12, 5, 1)," .
	        "('2011-04-18', 2, 44, 2)," .
	        "('2011-04-25', 2, 47, 3)," .
	        "('2011-05-03', 6, 51, 0)," .
	        "('2011-05-10', 20, 33, 1)," .
	        "('2011-05-17', 11, 9, 2)," .
	        "('2011-05-24', 18, 52, 3)," .
	        "('2011-06-01', 21, 3, 0)," .
	        "('2011-06-09', 2, 11, 1)," .
	        "('2011-06-15', 20, 14, 2)," .
	        "('2011-06-23', 11, 48, 3)," .
	        "('2011-07-30', 18, 40, 0)," .
	        "('2011-07-08', 6, 29, 1)," .
	        "('2011-07-15', 6, 40, 2)," .
	        "('2011-07-23', 5, 2, 3)," .
	        "('2011-08-29', 3, 4, 0)," .
	        "('2011-08-06', 11, 8, 1)," .
	        "('2011-08-13', 18, 57, 2)," .
	        "('2011-08-21', 21, 54, 3)," .
	        "('2011-09-27', 11, 9, 0)," .
	        "('2011-09-04', 17, 39, 1)," .
	        "('2011-09-12', 9, 27, 2)," .
	        "('2011-09-20', 13, 39, 3)," .
	        "('2011-10-26', 19, 56, 0)," .
	        "('2011-10-04', 3, 15, 1)," .
	        "('2011-10-12', 2, 6, 2)," .
	        "('2011-10-20', 3, 30, 3)," .
	        "('2011-11-25', 6, 10, 0)," .
	        "('2011-11-02', 16, 38, 1)," .
	        "('2011-11-10', 20, 16, 2)," .
	        "('2011-11-18', 15, 9, 3)," .
	        "('2011-12-24', 18, 6, 0)," .
	        "('2011-12-02', 9, 52, 1)," .
	        "('2011-12-10', 14, 36, 2)," .
	        "('2011-12-18', 0, 48, 3)," .
	        "('2012-01-23', 7, 39, 0)," .
	        "('2012-01-31', 4, 10, 1)," .
	        "('2012-01-09', 7, 30, 2)," .
	        "('2012-01-16', 9, 8, 3)," .
	        "('2012-02-21', 22, 35, 0)," .
	        "('2012-02-00', 0, 0, 1)," .
	        "('2012-02-07', 21, 54, 2)," .
	        "('2012-02-14', 17, 4, 3)," .
	        "('2012-03-22', 14, 37, 0)," .
	        "('2012-03-30', 19, 41, 1)," .
	        "('2012-03-08', 9, 39, 2)," .
	        "('2012-03-15', 1, 25, 3)," .
	        "('2012-04-21', 7, 18, 0)," .
	        "('2012-04-29', 9, 57, 1)," .
	        "('2012-04-06', 19, 19, 2)," .
	        "('2012-04-13', 10, 50, 3)," .
	        "('2012-05-20', 23, 47, 0)," .
	        "('2012-05-28', 20, 16, 1)," .
	        "('2012-05-06', 3, 35, 2)," .
	        "('2012-05-12', 21, 47, 3)," .
	        "('2012-06-19', 15, 2, 0)," .
	        "('2012-06-27', 3, 30, 1)," .
	        "('2012-06-04', 11, 12, 2)," .
	        "('2012-06-11', 10, 41, 3)," .
	        "('2012-07-19', 4, 24, 0)," .
	        "('2012-07-26', 8, 56, 1)," .
	        "('2012-07-03', 18, 52, 2)," .
	        "('2012-07-11', 1, 48, 3)," .
	        "('2012-08-17', 15, 54, 0)," .
	        "('2012-08-24', 13, 54, 1)," .
	        "('2012-08-31', 13, 58, 2)," .
	        "('2012-08-09', 18, 55, 3)," .
	        "('2012-09-16', 2, 11, 0)," .
	        "('2012-09-22', 19, 41, 1)," .
	        "('2012-09-30', 3, 19, 2)," .
	        "('2012-09-08', 13, 15, 3)," .
	        "('2012-10-15', 12, 2, 0)," .
	        "('2012-10-22', 3, 32, 1)," .
	        "('2012-10-29', 19, 49, 2)," .
	        "('2012-10-08', 7, 33, 3)," .
	        "('2012-11-13', 22, 8, 0)," .
	        "('2012-11-20', 14, 31, 1)," .
	        "('2012-11-28', 14, 46, 2)," .
	        "('2012-11-07', 0, 36, 3)," .
	        "('2012-12-13', 8, 42, 0)," .
	        "('2012-12-20', 5, 19, 1)," .
	        "('2012-12-28', 10, 21, 2)," .
	        "('2012-12-06', 15, 31, 3)," .
	        "('2013-01-11', 19, 44, 0)," .
	        "('2013-01-18', 23, 45, 1)," .
	        "('2013-01-27', 4, 38, 2)," .
	        "('2013-01-05', 3, 58, 3)," .
	        "('2013-02-10', 7, 20, 0)," .
	        "('2013-02-17', 20, 31, 1)," .
	        "('2013-02-25', 20, 26, 2)," .
	        "('2013-02-03', 13, 56, 3)," .
	        "('2013-03-11', 19, 51, 0)," .
	        "('2013-03-19', 17, 27, 1)," .
	        "('2013-03-27', 9, 27, 2)," .
	        "('2013-03-04', 21, 53, 3)," .
	        "('2013-04-10', 9, 35, 0)," .
	        "('2013-04-18', 12, 31, 1)," .
	        "('2013-04-25', 19, 57, 2)," .
	        "('2013-04-03', 4, 36, 3)," .
	        "('2013-05-10', 0, 28, 0)," .
	        "('2013-05-18', 4, 34, 1)," .
	        "('2013-05-25', 4, 25, 2)," .
	        "('2013-05-31', 18, 58, 3)," .
	        "('2013-06-08', 15, 56, 0)," .
	        "('2013-06-16', 17, 24, 1)," .
	        "('2013-06-23', 11, 32, 2)," .
	        "('2013-06-30', 4, 53, 3)," .
	        "('2013-07-08', 7, 14, 0)," .
	        "('2013-07-16', 3, 18, 1)," .
	        "('2013-07-22', 18, 15, 2)," .
	        "('2013-07-29', 17, 43, 3)," .
	        "('2013-08-06', 21, 51, 0)," .
	        "('2013-08-14', 10, 56, 1)," .
	        "('2013-08-21', 1, 45, 2)," .
	        "('2013-08-28', 9, 35, 3)," .
	        "('2013-09-05', 11, 36, 0)," .
	        "('2013-09-12', 17, 8, 1)," .
	        "('2013-09-19', 11, 13, 2)," .
	        "('2013-09-27', 3, 55, 3)," .
	        "('2013-10-05', 0, 34, 0)," .
	        "('2013-10-11', 23, 2, 1)," .
	        "('2013-10-18', 23, 38, 2)," .
	        "('2013-10-26', 23, 40, 3)," .
	        "('2013-11-03', 12, 50, 0)," .
	        "('2013-11-10', 5, 57, 1)," .
	        "('2013-11-17', 15, 16, 2)," .
	        "('2013-11-25', 19, 28, 3)," .
	        "('2013-12-03', 0, 22, 0)," .
	        "('2013-12-09', 15, 12, 1)," .
	        "('2013-12-17', 9, 28, 2)," .
	        "('2013-12-25', 13, 48, 3)," .
	        "('2014-01-30', 21, 38, 0)," .
	        "('2014-01-08', 3, 39, 1)," .
	        "('2014-01-16', 4, 52, 2)," .
	        "('2014-01-24', 5, 20, 3)," .
	        "('2014-02-00', 0, 0, 0)," .
	        "('2014-02-06', 19, 22, 1)," .
	        "('2014-02-14', 23, 53, 2)," .
	        "('2014-02-22', 17, 15, 3)," .
	        "('2014-03-30', 18, 45, 0)," .
	        "('2014-03-08', 13, 27, 1)," .
	        "('2014-03-16', 17, 8, 2)," .
	        "('2014-03-24', 1, 46, 3)," .
	        "('2014-04-29', 6, 14, 0)," .
	        "('2014-04-07', 8, 31, 1)," .
	        "('2014-04-15', 7, 42, 2)," .
	        "('2014-04-22', 7, 52, 3)," .
	        "('2014-05-28', 18, 40, 0)," .
	        "('2014-05-07', 3, 15, 1)," .
	        "('2014-05-14', 19, 16, 2)," .
	        "('2014-05-21', 12, 59, 3)," .
	        "('2014-06-27', 8, 8, 0)," .
	        "('2014-06-05', 20, 39, 1)," .
	        "('2014-06-13', 4, 11, 2)," .
	        "('2014-06-19', 18, 39, 3)," .
	        "('2014-07-26', 22, 42, 0)," .
	        "('2014-07-05', 11, 59, 1)," .
	        "('2014-07-12', 11, 25, 2)," .
	        "('2014-07-19', 2, 8, 3)," .
	        "('2014-08-25', 14, 13, 0)," .
	        "('2014-08-04', 0, 50, 1)," .
	        "('2014-08-10', 18, 9, 2)," .
	        "('2014-08-17', 12, 26, 3)," .
	        "('2014-09-24', 6, 14, 0)," .
	        "('2014-09-02', 11, 11, 1)," .
	        "('2014-09-09', 1, 38, 2)," .
	        "('2014-09-16', 2, 5, 3)," .
	        "('2014-10-23', 21, 57, 0)," .
	        "('2014-10-31', 2, 48, 1)," .
	        "('2014-10-08', 10, 51, 2)," .
	        "('2014-10-15', 19, 12, 3)," .
	        "('2014-11-22', 12, 32, 0)," .
	        "('2014-11-29', 10, 6, 1)," .
	        "('2014-11-06', 22, 23, 2)," .
	        "('2014-11-14', 15, 15, 3)," .
	        "('2014-12-22', 1, 36, 0)," .
	        "('2014-12-28', 18, 31, 1)," .
	        "('2014-12-06', 12, 27, 2)," .
	        "('2014-12-14', 12, 51, 3)," .
	        "('2015-01-20', 13, 14, 0)," .
	        "('2015-01-27', 4, 48, 1)," .
	        "('2015-01-05', 4, 53, 2)," .
	        "('2015-01-13', 9, 46, 3)," .
	        "('2015-02-18', 23, 47, 0)," .
	        "('2015-02-25', 17, 14, 1)," .
	        "('2015-02-03', 23, 9, 2)," .
	        "('2015-02-12', 3, 50, 3)," .
	        "('2015-03-20', 9, 36, 0)," .
	        "('2015-03-27', 7, 43, 1)," .
	        "('2015-03-05', 18, 5, 2)," .
	        "('2015-03-13', 17, 48, 3)," .
	        "('2015-04-18', 18, 57, 0)," .
	        "('2015-04-25', 23, 55, 1)," .
	        "('2015-04-04', 12, 5, 2)," .
	        "('2015-04-12', 3, 44, 3)," .
	        "('2015-05-18', 4, 13, 0)," .
	        "('2015-05-25', 17, 19, 1)," .
	        "('2015-05-04', 3, 42, 2)," .
	        "('2015-05-11', 10, 36, 3)," .
	        "('2015-06-16', 14, 5, 0)," .
	        "('2015-06-24', 11, 2, 1)," .
	        "('2015-06-02', 16, 19, 2)," .
	        "('2015-06-09', 15, 42, 3)," .
	        "('2015-07-16', 1, 24, 0)," .
	        "('2015-07-24', 4, 4, 1)," .
	        "('2015-07-31', 10, 43, 2)," .
	        "('2015-07-08', 20, 24, 3)," .
	        "('2015-08-14', 14, 53, 0)," .
	        "('2015-08-22', 19, 31, 1)", __FILE__, __LINE__
            );

    db_query(
    "INSERT IGNORE INTO {$db_prefix}$moonPhaseTblName " .
	    "(`evtDate`, `hour`, `min`, `phase`) " .
    "VALUES ('2015-08-29', 18, 35, 2)," .
            "('2015-08-07', 2, 3, 3)," .
	        "('2015-09-13', 6, 41, 0)," .
	        "('2015-09-21', 8, 59, 1)," .
	        "('2015-09-28', 2, 50, 2)," .
	        "('2015-09-05', 9, 54, 3)," .
	        "('2015-10-13', 0, 6, 0)," .
	        "('2015-10-20', 20, 31, 1)," .
	        "('2015-10-27', 12, 5, 2)," .
	        "('2015-10-04', 21, 6, 3)," .
	        "('2015-11-11', 17, 47, 0)," .
	        "('2015-11-19', 6, 27, 1)," .
	        "('2015-11-25', 22, 44, 2)," .
	        "('2015-11-03', 12, 24, 3)," .
	        "('2015-12-11', 10, 29, 0)," .
	        "('2015-12-18', 15, 14, 1)," .
	        "('2015-12-25', 11, 11, 2)," .
	        "('2015-12-03', 7, 40, 3)," .
	        "('2016-01-10', 1, 30, 0)," .
	        "('2016-01-16', 23, 26, 1)," .
	        "('2016-01-24', 1, 46, 2)," .
	        "('2016-01-02', 5, 30, 3)," .
	        "('2016-02-08', 14, 39, 0)," .
	        "('2016-02-15', 7, 46, 1)," .
	        "('2016-02-22', 18, 20, 2)," .
	        "('2016-02-01', 3, 28, 3)," .
	        "('2016-03-09', 1, 54, 0)," .
	        "('2016-03-15', 17, 3, 1)," .
	        "('2016-03-23', 12, 1, 2)," .
	        "('2016-03-31', 15, 17, 3)," .
	        "('2016-04-07', 11, 24, 0)," .
	        "('2016-04-14', 3, 59, 1)," .
	        "('2016-04-22', 5, 24, 2)," .
	        "('2016-04-30', 3, 29, 3)," .
	        "('2016-05-06', 19, 29, 0)," .
	        "('2016-05-13', 17, 2, 1)," .
	        "('2016-05-21', 21, 14, 2)," .
	        "('2016-05-29', 12, 12, 3)," .
	        "('2016-06-05', 2, 59, 0)," .
	        "('2016-06-12', 8, 10, 1)," .
	        "('2016-06-20', 11, 2, 2)," .
	        "('2016-06-27', 18, 19, 3)," .
	        "('2016-07-04', 11, 1, 0)," .
	        "('2016-07-12', 0, 52, 1)," .
	        "('2016-07-19', 22, 56, 2)," .
	        "('2016-07-26', 23, 0, 3)," .
	        "('2016-08-02', 20, 44, 0)," .
	        "('2016-08-10', 18, 21, 1)," .
	        "('2016-08-18', 9, 26, 2)," .
	        "('2016-08-25', 3, 41, 3)," .
	        "('2016-09-01', 9, 3, 0)," .
	        "('2016-09-09', 11, 49, 1)," .
	        "('2016-09-16', 19, 5, 2)," .
	        "('2016-09-23', 9, 56, 3)," .
	        "('2016-10-30', 17, 38, 0)," .
	        "('2016-10-09', 4, 33, 1)," .
	        "('2016-10-16', 4, 23, 2)," .
	        "('2016-10-22', 19, 14, 3)," .
	        "('2016-11-29', 12, 18, 0)," .
	        "('2016-11-07', 19, 51, 1)," .
	        "('2016-11-14', 13, 52, 2)," .
	        "('2016-11-21', 8, 33, 3)," .
	        "('2016-12-29', 6, 53, 0)," .
	        "('2016-12-07', 9, 3, 1)," .
	        "('2016-12-14', 0, 5, 2)," .
	        "('2016-12-21', 1, 56, 3)," .
	        "('2017-01-28', 0, 7, 0)," .
	        "('2017-01-05', 19, 47, 1)," .
	        "('2017-01-12', 11, 34, 2)," .
	        "('2017-01-19', 22, 13, 3)," .
	        "('2017-02-26', 14, 58, 0)," .
	        "('2017-02-04', 4, 19, 1)," .
	        "('2017-02-11', 0, 33, 2)," .
	        "('2017-02-18', 19, 33, 3)," .
	        "('2017-03-28', 2, 57, 0)," .
	        "('2017-03-05', 11, 32, 1)," .
	        "('2017-03-12', 14, 54, 2)," .
	        "('2017-03-20', 15, 58, 3)," .
	        "('2017-04-26', 12, 16, 0)," .
	        "('2017-04-03', 18, 39, 1)," .
	        "('2017-04-11', 6, 8, 2)," .
	        "('2017-04-19', 9, 57, 3)," .
	        "('2017-05-25', 19, 44, 0)," .
	        "('2017-05-03', 2, 47, 1)," .
	        "('2017-05-10', 21, 42, 2)," .
	        "('2017-05-19', 0, 33, 3)," .
	        "('2017-06-24', 2, 31, 0)," .
	        "('2017-06-01', 12, 42, 1)," .
	        "('2017-06-09', 13, 10, 2)," .
	        "('2017-06-17', 11, 33, 3)," .
	        "('2017-07-23', 9, 45, 0)," .
	        "('2017-07-30', 15, 23, 1)," .
	        "('2017-07-09', 4, 6, 2)," .
	        "('2017-07-16', 19, 26, 3)," .
	        "('2017-08-21', 18, 30, 0)," .
	        "('2017-08-29', 8, 13, 1)," .
	        "('2017-08-07', 18, 11, 2)," .
	        "('2017-08-15', 1, 15, 3)," .
	        "('2017-09-20', 5, 30, 0)," .
	        "('2017-09-28', 2, 53, 1)," .
	        "('2017-09-06', 7, 3, 2)," .
	        "('2017-09-13', 6, 25, 3)," .
	        "('2017-10-19', 19, 12, 0)," .
	        "('2017-10-27', 22, 22, 1)," .
	        "('2017-10-05', 18, 40, 2)," .
	        "('2017-10-12', 12, 25, 3)," .
	        "('2017-11-18', 11, 42, 0)," .
	        "('2017-11-26', 17, 3, 1)," .
	        "('2017-11-04', 5, 23, 2)," .
	        "('2017-11-10', 20, 36, 3)," .
	        "('2017-12-18', 6, 30, 0)," .
	        "('2017-12-26', 9, 20, 1)," .
	        "('2017-12-03', 15, 47, 2)," .
	        "('2017-12-10', 7, 51, 3)," .
	        "('2018-01-17', 2, 17, 0)," .
	        "('2018-01-24', 22, 20, 1)," .
	        "('2018-01-31', 13, 27, 2)," .
	        "('2018-01-08', 22, 25, 3)," .
	        "('2018-02-15', 21, 5, 0)," .
	        "('2018-02-23', 8, 9, 1)," .
	        "('2018-02-00', 0, 0, 2)," .
	        "('2018-02-07', 15, 54, 3)," .
	        "('2018-03-17', 13, 11, 0)," .
	        "('2018-03-24', 15, 35, 1)," .
	        "('2018-03-31', 12, 37, 2)," .
	        "('2018-03-09', 11, 20, 3)," .
	        "('2018-04-16', 1, 57, 0)," .
	        "('2018-04-22', 21, 45, 1)," .
	        "('2018-04-30', 0, 58, 2)," .
	        "('2018-04-08', 7, 17, 3)," .
	        "('2018-05-15', 11, 48, 0)," .
	        "('2018-05-22', 3, 49, 1)," .
	        "('2018-05-29', 14, 19, 2)," .
	        "('2018-05-08', 2, 9, 3)," .
	        "('2018-06-13', 19, 43, 0)," .
	        "('2018-06-20', 10, 51, 1)," .
	        "('2018-06-28', 4, 53, 2)," .
	        "('2018-06-06', 18, 32, 3)," .
	        "('2018-07-13', 2, 48, 0)," .
	        "('2018-07-19', 19, 52, 1)," .
	        "('2018-07-27', 20, 20, 2)," .
	        "('2018-07-06', 7, 51, 3)," .
	        "('2018-08-11', 9, 58, 0)," .
	        "('2018-08-18', 7, 48, 1)," .
	        "('2018-08-26', 11, 56, 2)," .
	        "('2018-08-04', 18, 18, 3)," .
	        "('2018-09-09', 18, 1, 0)," .
	        "('2018-09-16', 23, 15, 1)," .
	        "('2018-09-25', 2, 52, 2)," .
	        "('2018-09-03', 2, 37, 3)," .
	        "('2018-10-09', 3, 47, 0)," .
	        "('2018-10-16', 18, 2, 1)," .
	        "('2018-10-24', 16, 45, 2)," .
	        "('2018-10-31', 16, 40, 3)," .
	        "('2018-11-07', 16, 2, 0)," .
	        "('2018-11-15', 14, 54, 1)," .
	        "('2018-11-23', 5, 39, 2)," .
	        "('2018-11-30', 0, 19, 3)," .
	        "('2018-12-07', 7, 20, 0)," .
	        "('2018-12-15', 11, 49, 1)," .
	        "('2018-12-22', 17, 48, 2)," .
	        "('2018-12-29', 9, 34, 3)," .
	        "('2019-01-06', 1, 28, 0)," .
	        "('2019-01-14', 6, 45, 1)," .
	        "('2019-01-21', 5, 16, 2)," .
	        "('2019-01-27', 21, 10, 3)," .
	        "('2019-02-04', 21, 3, 0)," .
	        "('2019-02-12', 22, 26, 1)," .
	        "('2019-02-19', 15, 53, 2)," .
	        "('2019-02-26', 11, 28, 3)," .
	        "('2019-03-06', 16, 4, 0)," .
	        "('2019-03-14', 10, 27, 1)," .
	        "('2019-03-21', 1, 43, 2)," .
	        "('2019-03-28', 4, 10, 3)," .
	        "('2019-04-05', 8, 50, 0)," .
	        "('2019-04-12', 19, 6, 1)," .
	        "('2019-04-19', 11, 12, 2)," .
	        "('2019-04-26', 22, 18, 3)," .
	        "('2019-05-04', 22, 45, 0)," .
	        "('2019-05-12', 1, 12, 1)," .
	        "('2019-05-18', 21, 11, 2)," .
	        "('2019-05-26', 16, 33, 3)," .
	        "('2019-06-03', 10, 2, 0)," .
	        "('2019-06-10', 5, 59, 1)," .
	        "('2019-06-17', 8, 31, 2)," .
	        "('2019-06-25', 9, 46, 3)," .
	        "('2019-07-02', 19, 16, 0)," .
	        "('2019-07-09', 10, 55, 1)," .
	        "('2019-07-16', 21, 38, 2)," .
	        "('2019-07-25', 1, 18, 3)," .
	        "('2019-08-30', 10, 37, 0)," .
	        "('2019-08-07', 17, 31, 1)," .
	        "('2019-08-15', 12, 29, 2)," .
	        "('2019-08-23', 14, 56, 3)," .
	        "('2019-09-28', 18, 26, 0)," .
	        "('2019-09-06', 3, 10, 1)," .
	        "('2019-09-14', 4, 33, 2)," .
	        "('2019-09-22', 2, 41, 3)," .
	        "('2019-10-28', 3, 38, 0)," .
	        "('2019-10-05', 16, 47, 1)," .
	        "('2019-10-13', 21, 8, 2)," .
	        "('2019-10-21', 12, 39, 3)," .
	        "('2019-11-26', 15, 5, 0)," .
	        "('2019-11-04', 10, 23, 1)," .
	        "('2019-11-12', 13, 34, 2)," .
	        "('2019-11-19', 21, 11, 3)," .
	        "('2019-12-26', 5, 13, 0)," .
	        "('2019-12-04', 6, 58, 1)," .
	        "('2019-12-12', 5, 12, 2)," .
	        "('2019-12-19', 4, 57, 3)," .
	        "('2020-01-24', 21, 42, 0)," .
	        "('2020-01-03', 4, 45, 1)," .
	        "('2020-01-10', 19, 21, 2)," .
	        "('2020-01-17', 12, 58, 3)," .
	        "('2020-02-23', 15, 32, 0)," .
	        "('2020-02-02', 1, 42, 1)," .
	        "('2020-02-09', 7, 33, 2)," .
	        "('2020-02-15', 22, 17, 3)," .
	        "('2020-03-24', 9, 28, 0)," .
	        "('2020-03-02', 19, 57, 1)," .
	        "('2020-03-09', 17, 48, 2)," .
	        "('2020-03-16', 9, 34, 3)," .
	        "('2020-04-23', 2, 26, 0)," .
	        "('2020-04-30', 20, 38, 1)," .
	        "('2020-04-08', 2, 35, 2)," .
	        "('2020-04-14', 22, 56, 3)," .
	        "('2020-05-22', 17, 39, 0)," .
	        "('2020-05-30', 3, 30, 1)," .
	        "('2020-05-07', 10, 45, 2)," .
	        "('2020-05-14', 14, 3, 3)," .
	        "('2020-06-21', 6, 41, 0)," .
	        "('2020-06-28', 8, 16, 1)," .
	        "('2020-06-05', 19, 12, 2)," .
	        "('2020-06-13', 6, 24, 3)," .
	        "('2020-07-20', 17, 33, 0)," .
	        "('2020-07-27', 12, 32, 1)," .
	        "('2020-07-05', 4, 44, 2)," .
	        "('2020-07-12', 23, 29, 3)," .
	        "('2020-08-19', 2, 42, 0)," .
	        "('2020-08-25', 17, 58, 1)," .
	        "('2020-08-03', 15, 59, 2)," .
	        "('2020-08-11', 16, 45, 3)," .
	        "('2020-09-17', 11, 0, 0)," .
	        "('2020-09-24', 1, 55, 1)," .
	        "('2020-09-02', 5, 22, 2)," .
	        "('2020-09-10', 9, 26, 3)," .
	        "('2020-10-16', 19, 31, 0)," .
	        "('2020-10-23', 13, 23, 1)," .
	        "('2020-10-31', 14, 49, 2)," .
	        "('2020-10-10', 0, 39, 3)", __FILE__, __LINE__
            );

    db_query(
    "INSERT IGNORE INTO {$db_prefix}$moonPhaseTblName " .
	    "(`evtDate`, `hour`, `min`, `phase`) " .
    "VALUES ('2020-11-15', 5, 7, 0)," .
	        "('2020-11-22', 4, 45, 1)," .
	        "('2020-11-30', 9, 30, 2)," .
	        "('2020-11-08', 13, 46, 3)," .
	        "('2020-12-14', 16, 16, 0)," .
	        "('2020-12-21', 23, 41, 1)," .
	        "('2020-12-30', 3, 28, 2)," .
	        "('2020-12-08', 0, 36, 3)," .
	        "('2021-01-13', 5, 0, 0)," .
	        "('2021-01-20', 21, 1, 1)," .
	        "('2021-01-28', 19, 16, 2)," .
	        "('2021-01-06', 9, 37, 3)," .
	        "('2021-02-11', 19, 6, 0)," .
	        "('2021-02-19', 18, 47, 1)," .
	        "('2021-02-27', 8, 17, 2)," .
	        "('2021-02-04', 17, 37, 3)," .
	        "('2021-03-13', 10, 21, 0)," .
	        "('2021-03-21', 14, 40, 1)," .
	        "('2021-03-28', 18, 48, 2)," .
	        "('2021-03-06', 1, 30, 3)," .
	        "('2021-04-12', 2, 31, 0)," .
	        "('2021-04-20', 6, 59, 1)," .
	        "('2021-04-27', 3, 31, 2)," .
	        "('2021-04-04', 10, 2, 3)," .
	        "('2021-05-11', 19, 0, 0)," .
	        "('2021-05-19', 19, 13, 1)," .
	        "('2021-05-26', 11, 14, 2)," .
	        "('2021-05-03', 19, 50, 3)," .
	        "('2021-06-10', 10, 53, 0)," .
	        "('2021-06-18', 3, 54, 1)," .
	        "('2021-06-24', 18, 40, 2)," .
	        "('2021-06-02', 7, 24, 3)," .
	        "('2021-07-10', 1, 16, 0)," .
	        "('2021-07-17', 10, 11, 1)," .
	        "('2021-07-24', 2, 37, 2)," .
	        "('2021-07-31', 13, 16, 3)," .
	        "('2021-08-08', 13, 50, 0)," .
	        "('2021-08-15', 15, 19, 1)," .
	        "('2021-08-22', 12, 2, 2)," .
	        "('2021-08-30', 7, 13, 3)," .
	        "('2021-09-07', 0, 52, 0)," .
	        "('2021-09-13', 20, 39, 1)," .
	        "('2021-09-20', 23, 55, 2)," .
	        "('2021-09-29', 1, 57, 3)," .
	        "('2021-10-06', 11, 5, 0)," .
	        "('2021-10-13', 3, 25, 1)," .
	        "('2021-10-20', 14, 57, 2)," .
	        "('2021-10-28', 20, 5, 3)," .
	        "('2021-11-04', 21, 14, 0)," .
	        "('2021-11-11', 12, 46, 1)," .
	        "('2021-11-19', 8, 57, 2)," .
	        "('2021-11-27', 12, 28, 3)," .
	        "('2021-12-04', 7, 43, 0)," .
	        "('2021-12-11', 1, 35, 1)," .
	        "('2021-12-19', 4, 35, 2)," .
	        "('2021-12-27', 2, 24, 3)," .
	        "('2022-01-02', 18, 33, 0)," .
	        "('2022-01-09', 18, 11, 1)," .
	        "('2022-01-17', 23, 48, 2)," .
	        "('2022-01-25', 13, 41, 3)," .
	        "('2022-02-01', 5, 46, 0)," .
	        "('2022-02-08', 13, 50, 1)," .
	        "('2022-02-16', 16, 56, 2)," .
	        "('2022-02-23', 22, 32, 3)," .
	        "('2022-03-02', 17, 35, 0)," .
	        "('2022-03-10', 10, 45, 1)," .
	        "('2022-03-18', 7, 17, 2)," .
	        "('2022-03-25', 5, 37, 3)," .
	        "('2022-04-30', 20, 28, 0)," .
	        "('2022-04-09', 6, 48, 1)," .
	        "('2022-04-16', 18, 55, 2)," .
	        "('2022-04-23', 11, 56, 3)," .
	        "('2022-05-30', 11, 30, 0)," .
	        "('2022-05-09', 0, 21, 1)," .
	        "('2022-05-16', 4, 14, 2)," .
	        "('2022-05-22', 18, 43, 3)," .
	        "('2022-06-29', 2, 52, 0)," .
	        "('2022-06-07', 14, 48, 1)," .
	        "('2022-06-14', 11, 52, 2)," .
	        "('2022-06-21', 3, 11, 3)," .
	        "('2022-07-28', 17, 55, 0)," .
	        "('2022-07-07', 2, 14, 1)," .
	        "('2022-07-13', 18, 38, 2)," .
	        "('2022-07-20', 14, 18, 3)," .
	        "('2022-08-27', 8, 17, 0)," .
	        "('2022-08-05', 11, 6, 1)," .
	        "('2022-08-12', 1, 36, 2)," .
	        "('2022-08-19', 4, 36, 3)," .
	        "('2022-09-25', 21, 54, 0)," .
	        "('2022-09-03', 18, 8, 1)," .
	        "('2022-09-10', 9, 59, 2)," .
	        "('2022-09-17', 21, 52, 3)," .
	        "('2022-10-25', 10, 49, 0)," .
	        "('2022-10-03', 0, 14, 1)," .
	        "('2022-10-09', 20, 55, 2)," .
	        "('2022-10-17', 17, 15, 3)," .
	        "('2022-11-23', 22, 57, 0)," .
	        "('2022-11-30', 14, 36, 1)," .
	        "('2022-11-08', 11, 2, 2)," .
	        "('2022-11-16', 13, 27, 3)," .
	        "('2022-12-23', 10, 17, 0)," .
	        "('2022-12-30', 1, 20, 1)," .
	        "('2022-12-08', 4, 8, 2)," .
	        "('2022-12-16', 8, 56, 3)," .
	        "('2023-01-21', 20, 53, 0)," .
	        "('2023-01-28', 15, 19, 1)," .
	        "('2023-01-06', 23, 8, 2)," .
	        "('2023-01-15', 2, 10, 3)," .
	        "('2023-02-20', 7, 6, 0)," .
	        "('2023-02-27', 8, 5, 1)," .
	        "('2023-02-05', 18, 28, 2)," .
	        "('2023-02-13', 16, 1, 3)," .
	        "('2023-03-21', 17, 23, 0)," .
	        "('2023-03-29', 2, 32, 1)," .
	        "('2023-03-07', 12, 40, 2)," .
	        "('2023-03-15', 2, 8, 3)," .
	        "('2023-04-20', 4, 12, 0)," .
	        "('2023-04-27', 21, 20, 1)," .
	        "('2023-04-06', 4, 34, 2)," .
	        "('2023-04-13', 9, 11, 3)," .
	        "('2023-05-19', 15, 53, 0)," .
	        "('2023-05-27', 15, 22, 1)," .
	        "('2023-05-05', 17, 34, 2)," .
	        "('2023-05-12', 14, 28, 3)," .
	        "('2023-06-18', 4, 37, 0)," .
	        "('2023-06-26', 7, 50, 1)," .
	        "('2023-06-04', 3, 42, 2)," .
	        "('2023-06-10', 19, 31, 3)," .
	        "('2023-07-17', 18, 32, 0)," .
	        "('2023-07-25', 22, 7, 1)," .
	        "('2023-07-03', 11, 39, 2)," .
	        "('2023-07-10', 1, 48, 3)," .
	        "('2023-08-16', 9, 38, 0)," .
	        "('2023-08-24', 9, 57, 1)," .
	        "('2023-08-31', 1, 35, 2)," .
	        "('2023-08-08', 10, 28, 3)," .
	        "('2023-09-15', 1, 40, 0)," .
	        "('2023-09-22', 19, 32, 1)," .
	        "('2023-09-29', 9, 57, 2)," .
	        "('2023-09-06', 22, 21, 3)," .
	        "('2023-10-14', 17, 55, 0)," .
	        "('2023-10-22', 3, 29, 1)," .
	        "('2023-10-28', 20, 24, 2)," .
	        "('2023-10-06', 13, 48, 3)," .
	        "('2023-11-13', 9, 27, 0)," .
	        "('2023-11-20', 10, 50, 1)," .
	        "('2023-11-27', 9, 16, 2)," .
	        "('2023-11-05', 8, 37, 3)," .
	        "('2023-12-12', 23, 32, 0)," .
	        "('2023-12-19', 18, 39, 1)," .
	        "('2023-12-27', 0, 33, 2)," .
	        "('2023-12-05', 5, 49, 3)," .
	        "('2024-01-11', 11, 57, 0)," .
	        "('2024-01-18', 3, 52, 1)," .
	        "('2024-01-25', 17, 54, 2)," .
	        "('2024-01-04', 3, 30, 3)," .
	        "('2024-02-09', 22, 59, 0)," .
	        "('2024-02-16', 15, 1, 1)," .
	        "('2024-02-24', 12, 30, 2)," .
	        "('2024-02-02', 23, 18, 3)," .
	        "('2024-03-10', 9, 0, 0)," .
	        "('2024-03-17', 4, 11, 1)," .
	        "('2024-03-25', 7, 0, 2)," .
	        "('2024-03-03', 15, 23, 3)," .
	        "('2024-04-08', 18, 21, 0)," .
	        "('2024-04-15', 19, 13, 1)," .
	        "('2024-04-23', 23, 49, 2)," .
	        "('2024-04-02', 3, 15, 3)," .
	        "('2024-05-08', 3, 22, 0)," .
	        "('2024-05-15', 11, 48, 1)," .
	        "('2024-05-23', 13, 53, 2)," .
	        "('2024-05-30', 17, 13, 3)," .
	        "('2024-06-06', 12, 38, 0)," .
	        "('2024-06-14', 5, 18, 1)," .
	        "('2024-06-22', 1, 8, 2)," .
	        "('2024-06-28', 21, 53, 3)," .
	        "('2024-07-05', 22, 57, 0)," .
	        "('2024-07-13', 22, 49, 1)," .
	        "('2024-07-21', 10, 17, 2)," .
	        "('2024-07-28', 2, 51, 3)," .
	        "('2024-08-04', 11, 13, 0)," .
	        "('2024-08-12', 15, 19, 1)," .
	        "('2024-08-19', 18, 26, 2)," .
	        "('2024-08-26', 9, 26, 3)," .
	        "('2024-09-03', 1, 55, 0)," .
	        "('2024-09-11', 6, 5, 1)," .
	        "('2024-09-18', 2, 34, 2)," .
	        "('2024-09-24', 18, 50, 3)," .
	        "('2024-10-02', 18, 49, 0)," .
	        "('2024-10-10', 18, 55, 1)," .
	        "('2024-10-17', 11, 26, 2)," .
	        "('2024-10-24', 8, 3, 3)," .
	        "('2024-11-01', 12, 47, 0)," .
	        "('2024-11-09', 5, 55, 1)," .
	        "('2024-11-15', 21, 28, 2)," .
	        "('2024-11-23', 1, 28, 3)," .
	        "('2024-12-30', 22, 27, 0)," .
	        "('2024-12-08', 15, 26, 1)," .
	        "('2024-12-15', 9, 2, 2)," .
	        "('2024-12-22', 22, 18, 3)," .
	        "('2025-01-29', 12, 36, 0)," .
	        "('2025-01-06', 23, 56, 1)," .
	        "('2025-01-13', 22, 27, 2)," .
	        "('2025-01-21', 20, 31, 3)," .
	        "('2025-02-28', 0, 45, 0)," .
	        "('2025-02-05', 8, 2, 1)," .
	        "('2025-02-12', 13, 53, 2)," .
	        "('2025-02-20', 17, 32, 3)," .
	        "('2025-03-29', 10, 58, 0)," .
	        "('2025-03-06', 16, 31, 1)," .
	        "('2025-03-14', 6, 54, 2)," .
	        "('2025-03-22', 11, 29, 3)," .
	        "('2025-04-27', 19, 31, 0)," .
	        "('2025-04-05', 2, 15, 1)," .
	        "('2025-04-13', 0, 22, 2)," .
	        "('2025-04-21', 1, 35, 3)," .
	        "('2025-05-27', 3, 2, 0)," .
	        "('2025-05-04', 13, 52, 1)," .
	        "('2025-05-12', 16, 56, 2)," .
	        "('2025-05-20', 11, 59, 3)," .
	        "('2025-06-25', 10, 31, 0)," .
	        "('2025-06-03', 3, 41, 1)," .
	        "('2025-06-11', 7, 44, 2)," .
	        "('2025-06-18', 19, 19, 3)," .
	        "('2025-07-24', 19, 11, 0)," .
	        "('2025-07-02', 19, 30, 1)," .
	        "('2025-07-10', 20, 37, 2)," .
	        "('2025-07-18', 0, 37, 3)," .
	        "('2025-08-23', 6, 6, 0)," .
	        "('2025-08-31', 6, 25, 1)," .
	        "('2025-08-09', 7, 55, 2)," .
	        "('2025-08-16', 5, 12, 3)," .
	        "('2025-09-21', 19, 54, 0)," .
	        "('2025-09-29', 23, 54, 1)," .
	        "('2025-09-07', 18, 9, 2)," .
	        "('2025-09-14', 10, 33, 3)," .
	        "('2025-10-21', 12, 25, 0)," .
	        "('2025-10-29', 16, 21, 1)," .
	        "('2025-10-07', 3, 47, 2)," .
	        "('2025-10-13', 18, 13, 3)," .
	        "('2025-11-20', 6, 47, 0)," .
	        "('2025-11-28', 6, 59, 1)," .
	        "('2025-11-05', 13, 19, 2)," .
	        "('2025-11-12', 5, 28, 3)," .
	        "('2025-12-20', 1, 43, 0)," .
	        "('2025-12-27', 19, 10, 1)," .
	        "('2025-12-04', 23, 14, 2)," .
	        "('2025-12-11', 20, 52, 3)," .
	        "('2026-01-18', 19, 52, 0)," .
	        "('2026-01-26', 4, 47, 1)", __FILE__, __LINE__
            );


    db_query(
    "INSERT IGNORE INTO {$db_prefix}$moonPhaseTblName " .
	    "(`evtDate`, `hour`, `min`, `phase`) " .
    "VALUES ('2026-01-03', 10, 3, 2)," .
	        "('2026-01-10', 15, 48, 3)," .
	        "('2026-02-17', 12, 1, 0)," .
	        "('2026-02-24', 12, 27, 1)," .
	        "('2026-02-01', 22, 9, 2)," .
	        "('2026-02-09', 12, 43, 3)," .
	        "('2026-03-19', 1, 23, 0)," .
	        "('2026-03-25', 19, 18, 1)," .
	        "('2026-03-03', 11, 38, 2)," .
	        "('2026-03-11', 9, 38, 3)," .
	        "('2026-04-17', 11, 52, 0)," .
	        "('2026-04-24', 2, 32, 1)," .
	        "('2026-04-02', 2, 12, 2)," .
	        "('2026-04-10', 4, 51, 3)," .
	        "('2026-05-16', 20, 1, 0)," .
	        "('2026-05-23', 11, 11, 1)," .
	        "('2026-05-31', 8, 45, 2)," .
	        "('2026-05-09', 21, 10, 3)," .
	        "('2026-06-15', 2, 54, 0)," .
	        "('2026-06-21', 21, 55, 1)," .
	        "('2026-06-29', 23, 57, 2)," .
	        "('2026-06-08', 10, 0, 3)," .
	        "('2026-07-14', 9, 43, 0)," .
	        "('2026-07-21', 11, 5, 1)," .
	        "('2026-07-29', 14, 36, 2)," .
	        "('2026-07-07', 19, 29, 3)," .
	        "('2026-08-12', 17, 37, 0)," .
	        "('2026-08-20', 2, 46, 1)," .
	        "('2026-08-28', 4, 18, 2)," .
	        "('2026-08-06', 2, 21, 3)," .
	        "('2026-09-11', 3, 27, 0)," .
	        "('2026-09-18', 20, 44, 1)," .
	        "('2026-09-26', 16, 49, 2)," .
	        "('2026-09-04', 7, 51, 3)," .
	        "('2026-10-10', 15, 50, 0)," .
	        "('2026-10-18', 16, 12, 1)," .
	        "('2026-10-26', 4, 12, 2)," .
	        "('2026-10-03', 13, 25, 3)," .
	        "('2026-11-09', 7, 2, 0)," .
	        "('2026-11-17', 11, 48, 1)," .
	        "('2026-11-24', 14, 53, 2)," .
	        "('2026-11-01', 20, 28, 3)," .
	        "('2026-12-09', 0, 52, 0)," .
	        "('2026-12-17', 5, 42, 1)," .
	        "('2026-12-24', 1, 28, 2)," .
	        "('2026-12-30', 18, 59, 3)," .
	        "('2027-01-07', 20, 24, 0)," .
	        "('2027-01-15', 20, 34, 1)," .
	        "('2027-01-22', 12, 17, 2)," .
	        "('2027-01-29', 10, 55, 3)," .
	        "('2027-02-06', 15, 56, 0)," .
	        "('2027-02-14', 7, 58, 1)," .
	        "('2027-02-20', 23, 23, 2)," .
	        "('2027-02-28', 5, 16, 3)," .
	        "('2027-03-08', 9, 29, 0)," .
	        "('2027-03-15', 16, 25, 1)," .
	        "('2027-03-22', 10, 44, 2)," .
	        "('2027-03-30', 0, 54, 3)," .
	        "('2027-04-06', 23, 51, 0)," .
	        "('2027-04-13', 22, 56, 1)," .
	        "('2027-04-20', 22, 27, 2)," .
	        "('2027-04-28', 20, 18, 3)," .
	        "('2027-05-06', 10, 58, 0)," .
	        "('2027-05-13', 4, 44, 1)," .
	        "('2027-05-20', 10, 59, 2)," .
	        "('2027-05-28', 13, 58, 3)," .
	        "('2027-06-04', 19, 40, 0)," .
	        "('2027-06-11', 10, 56, 1)," .
	        "('2027-06-19', 0, 44, 2)," .
	        "('2027-06-27', 4, 54, 3)," .
	        "('2027-07-04', 3, 2, 0)," .
	        "('2027-07-10', 18, 39, 1)," .
	        "('2027-07-18', 15, 45, 2)," .
	        "('2027-07-26', 16, 55, 3)," .
	        "('2027-08-31', 17, 41, 0)," .
	        "('2027-08-09', 4, 54, 1)," .
	        "('2027-08-17', 7, 29, 2)," .
	        "('2027-08-25', 2, 27, 3)," .
	        "('2027-09-30', 2, 36, 0)," .
	        "('2027-09-07', 18, 31, 1)," .
	        "('2027-09-15', 23, 3, 2)," .
	        "('2027-09-23', 10, 20, 3)," .
	        "('2027-10-29', 13, 36, 0)," .
	        "('2027-10-07', 11, 47, 1)," .
	        "('2027-10-15', 13, 47, 2)," .
	        "('2027-10-22', 17, 29, 3)," .
	        "('2027-11-28', 3, 24, 0)," .
	        "('2027-11-06', 8, 0, 1)," .
	        "('2027-11-14', 3, 26, 2)," .
	        "('2027-11-21', 0, 48, 3)," .
	        "('2027-12-27', 20, 12, 0)," .
	        "('2027-12-06', 5, 22, 1)," .
	        "('2027-12-13', 16, 9, 2)," .
	        "('2027-12-20', 9, 11, 3)," .
	        "('2028-01-26', 15, 12, 0)," .
	        "('2028-01-05', 1, 40, 1)," .
	        "('2028-01-12', 4, 3, 2)," .
	        "('2028-01-18', 19, 26, 3)," .
	        "('2028-02-25', 10, 37, 0)," .
	        "('2028-02-03', 19, 10, 1)," .
	        "('2028-02-10', 15, 4, 2)," .
	        "('2028-02-17', 8, 8, 3)," .
	        "('2028-03-26', 4, 31, 0)," .
	        "('2028-03-04', 9, 2, 1)," .
	        "('2028-03-11', 1, 6, 2)," .
	        "('2028-03-17', 23, 23, 3)," .
	        "('2028-04-24', 19, 47, 0)," .
	        "('2028-04-02', 19, 15, 1)," .
	        "('2028-04-09', 10, 26, 2)," .
	        "('2028-04-16', 16, 37, 3)," .
	        "('2028-05-24', 8, 16, 0)," .
	        "('2028-05-31', 7, 36, 1)," .
	        "('2028-05-08', 19, 49, 2)," .
	        "('2028-05-16', 10, 43, 3)," .
	        "('2028-06-22', 18, 27, 0)," .
	        "('2028-06-29', 12, 10, 1)," .
	        "('2028-06-07', 6, 9, 2)," .
	        "('2028-06-15', 4, 27, 3)," .
	        "('2028-07-22', 3, 2, 0)," .
	        "('2028-07-28', 17, 40, 1)," .
	        "('2028-07-06', 18, 11, 2)," .
	        "('2028-07-14', 20, 56, 3)," .
	        "('2028-08-20', 10, 44, 0)," .
	        "('2028-08-27', 1, 36, 1)," .
	        "('2028-08-05', 8, 10, 2)," .
	        "('2028-08-13', 11, 45, 3)," .
	        "('2028-09-18', 18, 24, 0)," .
	        "('2028-09-25', 13, 10, 1)," .
	        "('2028-09-03', 23, 47, 2)," .
	        "('2028-09-12', 0, 46, 3)," .
	        "('2028-10-18', 2, 57, 0)," .
	        "('2028-10-25', 4, 53, 1)," .
	        "('2028-10-03', 16, 25, 2)," .
	        "('2028-10-11', 11, 57, 3)," .
	        "('2028-11-16', 13, 18, 0)," .
	        "('2028-11-24', 0, 14, 1)," .
	        "('2028-11-02', 9, 17, 2)," .
	        "('2028-11-09', 21, 26, 3)," .
	        "('2028-12-16', 2, 6, 0)," .
	        "('2028-12-23', 21, 45, 1)," .
	        "('2028-12-31', 16, 48, 2)," .
	        "('2028-12-09', 5, 39, 3)," .
	        "('2029-01-14', 17, 24, 0)," .
	        "('2029-01-22', 19, 23, 1)," .
	        "('2029-01-30', 6, 3, 2)," .
	        "('2029-01-07', 13, 26, 3)," .
	        "('2029-02-13', 10, 31, 0)," .
	        "('2029-02-21', 15, 10, 1)," .
	        "('2029-02-28', 17, 10, 2)," .
	        "('2029-02-05', 21, 52, 3)," .
	        "('2029-03-15', 4, 19, 0)," .
	        "('2029-03-23', 7, 33, 1)," .
	        "('2029-03-30', 2, 26, 2)," .
	        "('2029-03-07', 7, 51, 3)," .
	        "('2029-04-13', 21, 40, 0)," .
	        "('2029-04-21', 19, 50, 1)," .
	        "('2029-04-28', 10, 37, 2)," .
	        "('2029-04-05', 19, 51, 3)," .
	        "('2029-05-13', 13, 42, 0)," .
	        "('2029-05-21', 4, 16, 1)," .
	        "('2029-05-27', 18, 37, 2)," .
	        "('2029-05-05', 9, 48, 3)," .
	        "('2029-06-12', 3, 50, 0)," .
	        "('2029-06-19', 9, 54, 1)," .
	        "('2029-06-26', 3, 22, 2)," .
	        "('2029-06-04', 1, 19, 3)," .
	        "('2029-07-11', 15, 51, 0)," .
	        "('2029-07-18', 14, 14, 1)," .
	        "('2029-07-25', 13, 36, 2)," .
	        "('2029-07-03', 17, 57, 3)," .
	        "('2029-08-10', 1, 56, 0)," .
	        "('2029-08-16', 18, 55, 1)," .
	        "('2029-08-24', 1, 51, 2)," .
	        "('2029-08-02', 11, 15, 3)," .
	        "('2029-09-08', 10, 44, 0)," .
	        "('2029-09-15', 1, 29, 1)," .
	        "('2029-09-22', 16, 29, 2)," .
	        "('2029-09-30', 20, 57, 3)," .
	        "('2029-10-07', 19, 14, 0)," .
	        "('2029-10-14', 11, 9, 1)," .
	        "('2029-10-22', 9, 27, 2)," .
	        "('2029-10-30', 11, 32, 3)," .
	        "('2029-11-06', 4, 24, 0)," .
	        "('2029-11-13', 0, 35, 1)," .
	        "('2029-11-21', 4, 3, 2)," .
	        "('2029-11-28', 23, 48, 3)," .
	        "('2029-12-05', 14, 52, 0)," .
	        "('2029-12-12', 17, 49, 1)," .
	        "('2029-12-20', 22, 46, 2)," .
	        "('2029-12-28', 9, 49, 3)," .
	        "('2030-01-04', 2, 49, 0)," .
	        "('2030-01-11', 14, 6, 1)," .
	        "('2030-01-19', 15, 54, 2)," .
	        "('2030-01-26', 18, 14, 3)," .
	        "('2030-02-02', 16, 7, 0)," .
	        "('2030-02-10', 11, 49, 1)," .
	        "('2030-02-18', 6, 20, 2)," .
	        "('2030-02-25', 1, 57, 3)," .
	        "('2030-03-04', 6, 34, 0)," .
	        "('2030-03-12', 8, 47, 1)," .
	        "('2030-03-19', 17, 56, 2)," .
	        "('2030-03-26', 9, 51, 3)," .
	        "('2030-04-02', 22, 2, 0)," .
	        "('2030-04-11', 2, 57, 1)," .
	        "('2030-04-18', 3, 20, 2)," .
	        "('2030-04-24', 18, 39, 3)," .
	        "('2030-05-02', 14, 12, 0)," .
	        "('2030-05-10', 17, 11, 1)," .
	        "('2030-05-17', 11, 19, 2)," .
	        "('2030-05-24', 4, 57, 3)," .
	        "('2030-06-30', 21, 34, 0)," .
	        "('2030-06-09', 3, 36, 1)," .
	        "('2030-06-15', 18, 41, 2)," .
	        "('2030-06-22', 17, 19, 3)," .
	        "('2030-07-30', 11, 11, 0)," .
	        "('2030-07-08', 11, 2, 1)," .
	        "('2030-07-15', 2, 12, 2)," .
	        "('2030-07-22', 8, 7, 3)," .
	        "('2030-08-28', 23, 7, 0)," .
	        "('2030-08-06', 16, 42, 1)," .
	        "('2030-08-13', 10, 44, 2)," .
	        "('2030-08-21', 1, 15, 3)," .
	        "('2030-09-27', 9, 54, 0)," .
	        "('2030-09-04', 21, 55, 1)," .
	        "('2030-09-11', 21, 18, 2)," .
	        "('2030-09-19', 19, 56, 3)," .
	        "('2030-10-26', 20, 17, 0)," .
	        "('2030-10-04', 3, 56, 1)," .
	        "('2030-10-11', 10, 47, 2)," .
	        "('2030-10-19', 14, 50, 3)," .
	        "('2030-11-25', 6, 46, 0)," .
	        "('2030-11-02', 11, 56, 1)," .
	        "('2030-11-10', 3, 30, 2)," .
	        "('2030-11-18', 8, 32, 3)," .
	        "('2030-12-24', 17, 32, 0)," .
	        "('2030-12-31', 13, 36, 1)," .
	        "('2030-12-09', 22, 40, 2)," .
	        "('2030-12-18', 0, 1, 3)," .
	        "('2031-01-23', 4, 31, 0)," .
	        "('2031-01-30', 7, 43, 1)," .
	        "('2031-01-08', 18, 26, 2)," .
	        "('2031-01-16', 12, 47, 3)," .
	        "('2031-02-21', 15, 49, 0)," .
	        "('2031-02-00', 0, 0, 1)," .
	        "('2031-02-07', 12, 46, 2)," .
	        "('2031-02-14', 22, 50, 3)," .
	        "('2031-03-23', 3, 49, 0)," .
	        "('2031-03-31', 0, 32, 1)," .
	        "('2031-03-09', 4, 29, 2)," .
	        "('2031-03-16', 6, 36, 3)", __FILE__, __LINE__
            );


    db_query(
    "INSERT IGNORE INTO {$db_prefix}$moonPhaseTblName " .
	    "(`evtDate`, `hour`, `min`, `phase`) " .
    "VALUES ('2031-04-21', 16, 57, 0)," .
	        "('2031-04-29', 19, 19, 1)," .
	        "('2031-04-07', 17, 21, 2)," .
	        "('2031-04-14', 12, 58, 3)," .
	        "('2031-05-21', 7, 17, 0)," .
	        "('2031-05-29', 11, 19, 1)," .
	        "('2031-05-07', 3, 40, 2)," .
	        "('2031-05-13', 19, 7, 3)," .
	        "('2031-06-19', 22, 24, 0)," .
	        "('2031-06-28', 0, 19, 1)," .
	        "('2031-06-05', 11, 58, 2)," .
	        "('2031-06-12', 2, 20, 3)," .
	        "('2031-07-19', 13, 40, 0)," .
	        "('2031-07-27', 10, 35, 1)," .
	        "('2031-07-04', 19, 1, 2)," .
	        "('2031-07-11', 11, 50, 3)," .
	        "('2031-08-18', 4, 32, 0)," .
	        "('2031-08-25', 18, 39, 1)," .
	        "('2031-08-03', 1, 45, 2)," .
	        "('2031-08-10', 0, 23, 3)," .
	        "('2031-09-16', 18, 47, 0)," .
	        "('2031-09-24', 1, 20, 1)," .
	        "('2031-09-30', 18, 58, 2)," .
	        "('2031-09-08', 16, 14, 3)," .
	        "('2031-10-16', 8, 20, 0)," .
	        "('2031-10-23', 7, 36, 1)," .
	        "('2031-10-30', 7, 32, 2)," .
	        "('2031-10-08', 10, 50, 3)," .
	        "('2031-11-14', 21, 9, 0)," .
	        "('2031-11-21', 14, 45, 1)," .
	        "('2031-11-28', 23, 18, 2)," .
	        "('2031-11-07', 7, 2, 3)," .
	        "('2031-12-14', 9, 6, 0)," .
	        "('2031-12-21', 0, 0, 1)," .
	        "('2031-12-28', 17, 33, 2)," .
	        "('2031-12-07', 3, 19, 3)," .
	        "('2032-01-12', 20, 6, 0)," .
	        "('2032-01-19', 12, 14, 1)," .
	        "('2032-01-27', 12, 52, 2)," .
	        "('2032-01-05', 22, 4, 3)," .
	        "('2032-02-11', 6, 24, 0)," .
	        "('2032-02-18', 3, 29, 1)," .
	        "('2032-02-26', 7, 43, 2)," .
	        "('2032-02-04', 13, 49, 3)," .
	        "('2032-03-11', 16, 24, 0)," .
	        "('2032-03-18', 20, 56, 1)," .
	        "('2032-03-27', 0, 46, 2)," .
	        "('2032-03-05', 1, 47, 3)," .
	        "('2032-04-10', 2, 39, 0)," .
	        "('2032-04-17', 15, 24, 1)," .
	        "('2032-04-25', 15, 9, 2)," .
	        "('2032-04-03', 10, 10, 3)," .
	        "('2032-05-09', 13, 35, 0)," .
	        "('2032-05-17', 9, 43, 1)," .
	        "('2032-05-25', 2, 37, 2)," .
	        "('2032-05-31', 20, 51, 3)," .
	        "('2032-06-08', 1, 32, 0)," .
	        "('2032-06-16', 3, 0, 1)," .
	        "('2032-06-23', 11, 32, 2)," .
	        "('2032-06-30', 2, 12, 3)," .
	        "('2032-07-07', 14, 41, 0)," .
	        "('2032-07-15', 18, 32, 1)," .
	        "('2032-07-22', 18, 51, 2)," .
	        "('2032-07-29', 9, 25, 3)," .
	        "('2032-08-06', 5, 11, 0)," .
	        "('2032-08-14', 7, 51, 1)," .
	        "('2032-08-21', 1, 47, 2)," .
	        "('2032-08-27', 19, 33, 3)," .
	        "('2032-09-04', 20, 56, 0)," .
	        "('2032-09-12', 18, 49, 1)," .
	        "('2032-09-19', 9, 30, 2)," .
	        "('2032-09-26', 9, 12, 3)," .
	        "('2032-10-04', 13, 26, 0)," .
	        "('2032-10-12', 3, 47, 1)," .
	        "('2032-10-18', 18, 58, 2)," .
	        "('2032-10-26', 2, 29, 3)," .
	        "('2032-11-03', 5, 45, 0)," .
	        "('2032-11-10', 11, 33, 1)," .
	        "('2032-11-17', 6, 42, 2)," .
	        "('2032-11-24', 22, 48, 3)," .
	        "('2032-12-02', 20, 53, 0)," .
	        "('2032-12-09', 19, 8, 1)," .
	        "('2032-12-16', 20, 49, 2)," .
	        "('2032-12-24', 20, 39, 3)," .
	        "('2033-01-30', 22, 0, 0)," .
	        "('2033-01-08', 3, 34, 1)," .
	        "('2033-01-15', 13, 7, 2)," .
	        "('2033-01-23', 17, 45, 3)," .
	        "('2033-02-00', 0, 0, 0)," .
	        "('2033-02-06', 13, 34, 1)," .
	        "('2033-02-14', 7, 4, 2)," .
	        "('2033-02-22', 11, 53, 3)," .
	        "('2033-03-30', 17, 51, 0)," .
	        "('2033-03-08', 1, 27, 1)," .
	        "('2033-03-16', 1, 37, 2)," .
	        "('2033-03-24', 1, 50, 3)," .
	        "('2033-04-29', 2, 46, 0)," .
	        "('2033-04-06', 15, 14, 1)," .
	        "('2033-04-14', 19, 17, 2)," .
	        "('2033-04-22', 11, 42, 3)," .
	        "('2033-05-28', 11, 36, 0)," .
	        "('2033-05-06', 6, 45, 1)," .
	        "('2033-05-14', 10, 42, 2)," .
	        "('2033-05-21', 18, 29, 3)," .
	        "('2033-06-26', 21, 7, 0)," .
	        "('2033-06-04', 23, 39, 1)," .
	        "('2033-06-12', 23, 19, 2)," .
	        "('2033-06-19', 23, 29, 3)," .
	        "('2033-07-26', 8, 12, 0)," .
	        "('2033-07-04', 17, 12, 1)," .
	        "('2033-07-12', 9, 28, 2)," .
	        "('2033-07-19', 4, 7, 3)," .
	        "('2033-08-24', 21, 40, 0)," .
	        "('2033-08-03', 10, 25, 1)," .
	        "('2033-08-10', 18, 7, 2)," .
	        "('2033-08-17', 9, 43, 3)," .
	        "('2033-09-23', 13, 40, 0)," .
	        "('2033-09-02', 2, 23, 1)," .
	        "('2033-09-09', 2, 20, 2)," .
	        "('2033-09-15', 17, 33, 3)," .
	        "('2033-10-23', 7, 28, 0)," .
	        "('2033-10-31', 4, 46, 1)," .
	        "('2033-10-08', 10, 58, 2)," .
	        "('2033-10-15', 4, 47, 3)," .
	        "('2033-11-22', 1, 39, 0)," .
	        "('2033-11-29', 15, 15, 1)," .
	        "('2033-11-06', 20, 32, 2)," .
	        "('2033-11-13', 20, 9, 3)," .
	        "('2033-12-21', 18, 46, 0)," .
	        "('2033-12-29', 0, 20, 1)," .
	        "('2033-12-06', 7, 22, 2)," .
	        "('2033-12-13', 15, 28, 3)," .
	        "('2034-01-20', 10, 1, 0)," .
	        "('2034-01-27', 8, 32, 1)," .
	        "('2034-01-04', 19, 47, 2)," .
	        "('2034-01-12', 13, 17, 3)," .
	        "('2034-02-18', 23, 10, 0)," .
	        "('2034-02-25', 16, 34, 1)," .
	        "('2034-02-03', 10, 4, 2)," .
	        "('2034-02-11', 11, 9, 3)," .
	        "('2034-03-20', 10, 14, 0)," .
	        "('2034-03-27', 1, 18, 1)," .
	        "('2034-03-05', 2, 10, 2)," .
	        "('2034-03-13', 6, 44, 3)," .
	        "('2034-04-18', 19, 26, 0)," .
	        "('2034-04-25', 11, 34, 1)," .
	        "('2034-04-03', 19, 19, 2)," .
	        "('2034-04-11', 22, 45, 3)," .
	        "('2034-05-18', 3, 12, 0)," .
	        "('2034-05-24', 23, 57, 1)," .
	        "('2034-05-03', 12, 15, 2)," .
	        "('2034-05-11', 10, 56, 3)," .
	        "('2034-06-16', 10, 26, 0)," .
	        "('2034-06-23', 14, 35, 1)," .
	        "('2034-06-02', 3, 54, 2)," .
	        "('2034-06-09', 19, 44, 3)," .
	        "('2034-07-15', 18, 15, 0)," .
	        "('2034-07-23', 7, 5, 1)," .
	        "('2034-07-31', 5, 54, 2)," .
	        "('2034-07-09', 1, 59, 3)," .
	        "('2034-08-14', 3, 53, 0)," .
	        "('2034-08-22', 0, 43, 1)," .
	        "('2034-08-29', 16, 49, 2)," .
	        "('2034-08-07', 6, 50, 3)," .
	        "('2034-09-12', 16, 14, 0)," .
	        "('2034-09-20', 18, 39, 1)," .
	        "('2034-09-28', 2, 57, 2)," .
	        "('2034-09-05', 11, 41, 3)," .
	        "('2034-10-12', 7, 32, 0)," .
	        "('2034-10-20', 12, 3, 1)," .
	        "('2034-10-27', 12, 42, 2)," .
	        "('2034-10-04', 18, 4, 3)," .
	        "('2034-11-11', 1, 16, 0)," .
	        "('2034-11-19', 4, 1, 1)," .
	        "('2034-11-25', 22, 32, 2)," .
	        "('2034-11-03', 3, 27, 3)," .
	        "('2034-12-10', 20, 14, 0)," .
	        "('2034-12-18', 17, 45, 1)," .
	        "('2034-12-25', 8, 54, 2)," .
	        "('2034-12-02', 16, 46, 3)", __FILE__, __LINE__
            );

?>
